Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.KeywordsContext

- org.apache.groovy.parser.antlr4.GroovyParser.KeywordsContext

-     public static class GroovyParser.KeywordsContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `KeywordsContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ABSTRACT()`
    `` | `public TerminalNode` | `AS()`
    `` | `public TerminalNode` | `ASSERT()`
    `` | `public TerminalNode` | `ASYNC()`
    `` | `public TerminalNode` | `AWAIT()`
    `` | `public TerminalNode` | `BREAK()`
    `` | `public TerminalNode` | `BooleanLiteral()`
    `` | `public TerminalNode` | `BuiltInPrimitiveType()`
    `` | `public TerminalNode` | `CASE()`
    `` | `public TerminalNode` | `CATCH()`
    `` | `public TerminalNode` | `CLASS()`
    `` | `public TerminalNode` | `CONST()`
    `` | `public TerminalNode` | `CONTINUE()`
    `` | `public TerminalNode` | `DEF()`
    `` | `public TerminalNode` | `DEFAULT()`
    `` | `public TerminalNode` | `DEFER()`
    `` | `public TerminalNode` | `DO()`
    `` | `public TerminalNode` | `ELSE()`
    `` | `public TerminalNode` | `ENUM()`
    `` | `public TerminalNode` | `EXTENDS()`
    `` | `public TerminalNode` | `FINAL()`
    `` | `public TerminalNode` | `FINALLY()`
    `` | `public TerminalNode` | `FOR()`
    `` | `public TerminalNode` | `GOTO()`
    `` | `public TerminalNode` | `IF()`
    `` | `public TerminalNode` | `IMPLEMENTS()`
    `` | `public TerminalNode` | `IMPORT()`
    `` | `public TerminalNode` | `IN()`
    `` | `public TerminalNode` | `INSTANCEOF()`
    `` | `public TerminalNode` | `INTERFACE()`
    `` | `public TerminalNode` | `NATIVE()`
    `` | `public TerminalNode` | `NEW()`
    `` | `public TerminalNode` | `NON_SEALED()`
    `` | `public TerminalNode` | `NullLiteral()`
    `` | `public TerminalNode` | `PACKAGE()`
    `` | `public TerminalNode` | `PERMITS()`
    `` | `public TerminalNode` | `PRIVATE()`
    `` | `public TerminalNode` | `PROTECTED()`
    `` | `public TerminalNode` | `PUBLIC()`
    `` | `public TerminalNode` | `RECORD()`
    `` | `public TerminalNode` | `RETURN()`
    `` | `public TerminalNode` | `SEALED()`
    `` | `public TerminalNode` | `STATIC()`
    `` | `public TerminalNode` | `STRICTFP()`
    `` | `public TerminalNode` | `SUPER()`
    `` | `public TerminalNode` | `SWITCH()`
    `` | `public TerminalNode` | `SYNCHRONIZED()`
    `` | `public TerminalNode` | `THIS()`
    `` | `public TerminalNode` | `THREADSAFE()`
    `` | `public TerminalNode` | `THROW()`
    `` | `public TerminalNode` | `THROWS()`
    `` | `public TerminalNode` | `TRAIT()`
    `` | `public TerminalNode` | `TRANSIENT()`
    `` | `public TerminalNode` | `TRY()`
    `` | `public TerminalNode` | `VAL()`
    `` | `public TerminalNode` | `VAR()`
    `` | `public TerminalNode` | `VOID()`
    `` | `public TerminalNode` | `VOLATILE()`
    `` | `public TerminalNode` | `WHILE()`
    `` | `public TerminalNode` | `YIELD()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Constructor Detail

    - #### public KeywordsContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode ABSTRACT()

    - #### public TerminalNode AS()

    - #### public TerminalNode ASSERT()

    - #### public TerminalNode ASYNC()

    - #### public TerminalNode AWAIT()

    - #### public TerminalNode BREAK()

    - #### public TerminalNode BooleanLiteral()

    - #### public TerminalNode BuiltInPrimitiveType()

    - #### public TerminalNode CASE()

    - #### public TerminalNode CATCH()

    - #### public TerminalNode CLASS()

    - #### public TerminalNode CONST()

    - #### public TerminalNode CONTINUE()

    - #### public TerminalNode DEF()

    - #### public TerminalNode DEFAULT()

    - #### public TerminalNode DEFER()

    - #### public TerminalNode DO()

    - #### public TerminalNode ELSE()

    - #### public TerminalNode ENUM()

    - #### public TerminalNode EXTENDS()

    - #### public TerminalNode FINAL()

    - #### public TerminalNode FINALLY()

    - #### public TerminalNode FOR()

    - #### public TerminalNode GOTO()

    - #### public TerminalNode IF()

    - #### public TerminalNode IMPLEMENTS()

    - #### public TerminalNode IMPORT()

    - #### public TerminalNode IN()

    - #### public TerminalNode INSTANCEOF()

    - #### public TerminalNode INTERFACE()

    - #### public TerminalNode NATIVE()

    - #### public TerminalNode NEW()

    - #### public TerminalNode NON_SEALED()

    - #### public TerminalNode NullLiteral()

    - #### public TerminalNode PACKAGE()

    - #### public TerminalNode PERMITS()

    - #### public TerminalNode PRIVATE()

    - #### public TerminalNode PROTECTED()

    - #### public TerminalNode PUBLIC()

    - #### public TerminalNode RECORD()

    - #### public TerminalNode RETURN()

    - #### public TerminalNode SEALED()

    - #### public TerminalNode STATIC()

    - #### public TerminalNode STRICTFP()

    - #### public TerminalNode SUPER()

    - #### public TerminalNode SWITCH()

    - #### public TerminalNode SYNCHRONIZED()

    - #### public TerminalNode THIS()

    - #### public TerminalNode THREADSAFE()

    - #### public TerminalNode THROW()

    - #### public TerminalNode THROWS()

    - #### public TerminalNode TRAIT()

    - #### public TerminalNode TRANSIENT()

    - #### public TerminalNode TRY()

    - #### public TerminalNode VAL()

    - #### public TerminalNode VAR()

    - #### public TerminalNode VOID()

    - #### public TerminalNode VOLATILE()

    - #### public TerminalNode WHILE()

    - #### public TerminalNode YIELD()

    - #### <Result> public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public int getRuleIndex()